%global modname binaryornot

Name:               python-binaryornot
Version:            0.4.4
Release:            %mkrel 4
Summary:            A pure Python package to check if a file is binary or text
Group:              Development/Python
License:            BSD
URL:                http://pypi.python.org/pypi/BinaryOrNot
Source0:            https://pypi.python.org/packages/source/b/binaryornot/binaryornot-%{version}.tar.gz
Patch1:             binaryornot-0.4.4-fix-test.patch
BuildArch:          noarch

BuildRequires:      pkgconfig(python3)
BuildRequires:      python3dist(chardet) >= 3.0.2
BuildRequires:      python3dist(hypothesis)
BuildRequires:      python3dist(sphinx)

%description
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.

%package -n         python3-%{modname}
Summary:            A pure Python 3 package to check if a file is binary or text
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-binaryornot
Ultra-lightweight pure Python package to guess whether a file is binary or
text, using a heuristic similar to Perl's pp_fttext and its analysis by
@eliben.

Has tests for these file types:
* Text: .txt, .css, .json, .svg, .js, .lua, .pl, .rst * Binary: .png, .gif,
.jpg, .tiff, .bmp, .DS_Store, .eot, .otf, .ttf, .woff, .rgb

Has tests for numerous encodings.

%package -n         python-%{modname}-docs
Summary:            Documentation for python-binaryornot

%description -n python-%{modname}-docs
Documentation for python-binaryornot.

%prep
%autosetup -n %{modname}-%{version} -p1

rm -rf %{modname}.egg-info

%build
%py3_build

make -C docs html PYTHONPATH=$(pwd)
rm -rf docs/_build/html/.buildinfo

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*

%files -n python-%{modname}-docs
%doc docs/_build/html


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.4.4-4.mga8
+ Revision: 1535241
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.4.4-3.mga8
+ Revision: 1451628
- rebuild with python 3.8

* Sun Aug 18 2019 wally <wally> 0.4.4-2.mga8
+ Revision: 1429668
- add patch to fix tests
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.4.4-1.mga7
+ Revision: 1350344
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-9.mga7
+ Revision: 1288354
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 0.4.0-8.mga7
+ Revision: 1227604
- BR python2dist(enum34)
- use new python provides

* Sun Sep 10 2017 ngompa <ngompa> 0.4.0-7.mga7
+ Revision: 1152379
- Adjust for Mageia
- imported package python-binaryornot


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Nov 30 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.4.0-2
- Update the spec to the latest guidelines, generating two sub-packages one for
  py2 and one for py3
- Build the doc and place it in a -docs sub-package

* Fri Nov 27 2015 Pierre-Yves Chibon <pingou@pingoured.fr> - 0.4.0-1
- initial package for Fedora
